# Generated from ftc_events_client-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ftc_events_client

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: FTC Events API Ruby Gem
License: Unlicense
URL: https://github.com/maths22/ftc-events-client-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec) >= 3.6.0
BuildArch: noarch

%description
API Client for the FTC Events library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/config.json
%{gem_instdir}/git_push.sh
%{gem_libdir}
%{gem_instdir}/update.sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/ftc_events_client.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
